OPENSUSE 10.3.....l'amaro in bocca!!??

Ritratto di robermann79
robermann79
(Monster)
Offline
Monster
Iscritto: 07/02/2007
Messaggi: 342

Quote:

ritengo che il nuovo kernel abbia in parte risolto il problema di gestione delle ventole

Piccolo OT: a quale nuovo kernel ti riferisci? A quello distribuito di default con la 10.3? O alla versione 2.6.23? C'e' gia' una patch per openSuse 10.3??

Ciauz
rob

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

l'upgrade del kernel lo porta al 2.6.22.9-0.4

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di auris
auris
(Guru)
Offline
Guru
Iscritto: 10/09/2004
Messaggi: 4923

Ho tenuto sul mio sistema openSUSE 10.3 per due giorni e l'ho rimossa dopo smadonnamenti vari:
1) Non riesco a spegnere il PC se non premendo il tasto sul PC (non ottengo messaggi di errore nel log del kernel). Ho cercato informazioni in rete, ma non ho avuto riscontri al mio problema.
Il problema del mancato arresto del sistema avviene sia con KDE che con GNOME;
2) YAST con interfaccia grafica non funziona a dovere quando si tratta di configurare hardware a posteriori (ad esempio scheda TV);
3) Non è abilitato il font anti-aliasing in Firefox e Thunderbird;
4) I driver HPLIP non funzionano a dovere e la stampante continua a risultare "arrestata" ad ogni avvio;
5) In KDE, nonostante abbia installato i codecs video e audio, a fasi alterne vedo i video a righe verdi, rosse e gialle.

Se sei stanco di virus e schermate blu passa a Linux

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

auris ha scritto:
Ho tenuto sul mio sistema openSUSE 10.3 per due giorni e l'ho rimossa dopo smadonnamenti vari:
1) Non riesco a spegnere il PC se non premendo il tasto sul PC (non ottengo messaggi di errore nel log del kernel). Ho cercato informazioni in rete, ma non ho avuto riscontri al mio problema.
Il problema del mancato arresto del sistema avviene sia con KDE che con GNOME;
2) YAST con interfaccia grafica non funziona a dovere quando si tratta di configurare hardware a posteriori (ad esempio scheda TV);
3) Non è abilitato il font anti-aliasing in Firefox e Thunderbird;
4) I driver HPLIP non funzionano a dovere e la stampante continua a risultare "arrestata" ad ogni avvio;
5) In KDE, nonostante abbia installato i codecs video e audio, a fasi alterne vedo i video a righe verdi, rosse e gialle.

Argh. Questo mi fa preoccupare. Soprattutto la gestione dell'alimentazione. Non spegni via software perché il pulsante è disattivato o perché non va?

L'anti-alias non è abilitato? Hmm. Non ho notato differenze sulla qualità dei font. Tieni presente che hanno dovuto rimuovere il pixel hinting per la questione ClearType.

Il driver hplip lo uso anche io per il mio combo PSC 2350 e la stampante risulta "in pausa" perennemente, ma se stampo funge, quindi pensavo fosse solo un problema di notifica. Segnalo anche questo.

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

testa88 ha scritto:
Con KDE mai uno di questi problemi, dopo l'update del kernel non mi cambia nulla.
Una cosa vera è che in effetti da fastidio non vedere cosa stia installando opensuse updater...però funziona tutto correttamente.
Ah si....è vero troppi aggiornamenti nei primissimi giorni di uscita! Non è possibile! Ma conta che non sono (nel mio caso) tutte patch.

Ciao

Perché non è possibile? Scusate ma pensate un attimo prima di scrivere. Se arrivano le patch, non va bene. Se non arrivano le patch, non va bene. Forse dovreste chiarirvi le idee.

Al momento del rilascio c'è sempre un fisiologico aumento di segnalazioni di problemi, quindi dovreste essere contenti che arrivano le soluzioni, non il contrario.

Ciao

ap Big Grin

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

Senofonte1 ha scritto:
Dopo aver smanettato ampiamente e approfonditamente, Opensuse 10.3 (Gnome 2.20) mi sta lasciando l'amaro in bocca:

Yast bugato come non mai

Elenca i bug su bugzilla, oppure qui. Dire buggato come non mai non serve a niente, soprattutto da parte di chi la distribuzione non l'ha provata in fase di sviluppo.

Quote:

La finestra di Gestione Pacchetti non è il massimo della chiarezza

Opensuse Updater funziona decentemente quando è di buon umore

Cosa vuol dire? Spiegati, perché i problemi si risolvono solo se gli utenti li segnalano.
Ho 5 installazioni GNOME sotto mano e non ho problemi con l'updater o con il control centre. In ogni caso, dai i dettagli.

Quote:

Il demone di Gnome Control Center, stranamente, fa le bizze

Quali bizze?

Quote:

Up di sistema effettuati con Opensuse Updater e al successivo riavvio l'icona nella systry chiede nuovamente di aggiornare gli stessi pacchetti

Semplicemente perché non ha ancora effettuato il refresh oppure l'installazione è fallita.

L'unica cosa che non hai notato è il vero "bug". Se clicchi su "Details", sono visualizzati alcuni pacchetti non necessari per il sistema, come amarok o yast-add-on-creator.

Quote:

Non è possibile sapere quali up vengono effettuati, il tutto avviene ciecamente in modalità grafica; per saperlo bisogna dare il comando "zypper up" da terminale root

Anche qui sbagli. C'è il pulsante "Details", non serve la linea di comando.

Quote:

Nonostante alcune fonti di installazione pacchetti siano stati eliminati (guru 10.3....nvidia), Yast continua a ritenerli viventi ed evidenzia messaggi d'errore

Spiega anche questo. Non è stato segnalato da nessuno. Guru non esiste più. nVidia esiste ed è aggiunto da Community Repository.

Quote:

OneClick funziona in maniera alterna e, alcune volte, non installa il pacchetto, nonostante il repo sia già inserito nella lista

Quale link ti ha dato problemi? Dettagli anche qui, please.

Invito a segnalare i problemi tramite i canali ufficiali sul bugzilla, ma fatelo in modo serio. Riportare i problemi qui, senza spiegazioni e senza informazioni non serve a niente, e soprattutto non serve lamentarsi quando una distribuzione community non è testata durante il suo sviluppo.

Ciao

ap Big Grin

Ritratto di Senofonte1
Senofonte1
(Guru)
Offline
Guru
Iscritto: 27/01/2007
Messaggi: 924

Quote:

ap1978 ha scritto:
Quote:
Senofonte1 ha scritto:
Dopo aver smanettato ampiamente e approfonditamente, Opensuse 10.3 (Gnome 2.20) mi sta lasciando l'amaro in bocca:

Yast bugato come non mai

Elenca i bug su bugzilla, oppure qui. Dire buggato come non mai non serve a niente, soprattutto da parte di chi la distribuzione non l'ha provata in fase di sviluppo.

Quote:

La finestra di Gestione Pacchetti non è il massimo della chiarezza

Opensuse Updater funziona decentemente quando è di buon umore

Cosa vuol dire? Spiegati, perché i problemi si risolvono solo se gli utenti li segnalano.
Ho 5 installazioni GNOME sotto mano e non ho problemi con l'updater o con il control centre. In ogni caso, dai i dettagli.

Quote:

Il demone di Gnome Control Center, stranamente, fa le bizze

Quali bizze?

Quote:

Up di sistema effettuati con Opensuse Updater e al successivo riavvio l'icona nella systry chiede nuovamente di aggiornare gli stessi pacchetti

Semplicemente perché non ha ancora effettuato il refresh oppure l'installazione è fallita.

L'unica cosa che non hai notato è il vero "bug". Se clicchi su "Details", sono visualizzati alcuni pacchetti non necessari per il sistema, come amarok o yast-add-on-creator.

Quote:

Non è possibile sapere quali up vengono effettuati, il tutto avviene ciecamente in modalità grafica; per saperlo bisogna dare il comando "zypper up" da terminale root

Anche qui sbagli. C'è il pulsante "Details", non serve la linea di comando.

Quote:

Nonostante alcune fonti di installazione pacchetti siano stati eliminati (guru 10.3....nvidia), Yast continua a ritenerli viventi ed evidenzia messaggi d'errore

Spiega anche questo. Non è stato segnalato da nessuno. Guru non esiste più. nVidia esiste ed è aggiunto da Community Repository.

Quote:

OneClick funziona in maniera alterna e, alcune volte, non installa il pacchetto, nonostante il repo sia già inserito nella lista

Quale link ti ha dato problemi? Dettagli anche qui, please.

Invito a segnalare i problemi tramite i canali ufficiali sul bugzilla, ma fatelo in modo serio. Riportare i problemi qui, senza spiegazioni e senza informazioni non serve a niente, e soprattutto non serve lamentarsi quando una distribuzione community non è testata durante il suo sviluppo.

Ciao

Non è il caso di prendere d'aceto. Ho soltanto segnalato "qui" i problemi che riscontro.... in attesa che qualche altro utente Gnome mi dia conforto o meno. In caso positivo, segnalerò i bug a chi di dovere

La finestra di Gestione Pacchetti non è il massimo della chiarezza: avrei preferito quella precedente, visto che in quella attuale molte informazioni relative ai pacchetti non sono disponibili, aspetti piacevolmente evidenti nell'altra
Circa Opensuse Updater....quali dettagli vuoi che dia!!??
Se Yast si avvia, ma evidenzia gli errori seguenti ((y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

non permettendo l'apertura di alcuna finestra (firewall....gestione pacchetti....), anche Opensuse Updater fa la stessa fine

Il demone di Gnome Control Center, stranamente, fa le bizze. Quali?
Alcune volte, all'avvio del sistema, dopo il beep di rito e in concomitanza con il caricamento di Gnome, una finestrella segnala che Gnome Control Center non è attivo. Al prossimo riavvio il sistema proverà ad attivarlo.
Punto, non ho altre spiagazioni.............perchè non mi vengono date!!!!! E dire che fino a poco tempo prima tutto funzionava decentemente

Circa Opensuse Updater e gli up, essi avvengono correttamente (almeno sembra, visto che mi viene segnalato chiaramente), ma, come detto, alcune volte vengono riproposti
Se clikko su "Details" non avviene nulla, come se il tasto non esistesse

So benissmo che Guru non esiste e che nVidia esiste ed è aggiunto da Community Repository, ma Yast lo dimentica spesso, nonostante l'intervento manuale

Circa OneClick, non posso certamente ricordare il link imputato. Cmq, i repo ufficiali erano inseriri e One Click, mi sembra di ricordare, doveva scaricare e installare un pacchetto da uno dei repo ufficiali

Quote:

Riportare i problemi qui, senza spiegazioni e senza informazioni non serve a niente, e soprattutto non serve lamentarsi quando una distribuzione community non è testata durante il suo sviluppo

Forse non hai compreso il perchè di questa mia discussione.

GRAZIE A DIO, SONO ATEO!

Il pensare è la ragione prima e ultima dell'umano essere (Senofonte1)

Ritratto di ap1978
ap1978
(Guru)
Offline
Guru
Iscritto: 01/10/2004
Messaggi: 2972

Quote:

La finestra di Gestione Pacchetti non è il massimo della chiarezza: avrei preferito quella precedente, visto che in quella attuale molte informazioni relative ai pacchetti non sono disponibili, aspetti piacevolmente evidenti nell'altra

Puoi passare a YaST in Qt cambiando una linea nel file di configurazione di YaST. Leggi le note di rilascio in YaST -> Varie -> Note di rilascio.

Quote:

Circa Opensuse Updater....quali dettagli vuoi che dia!!??
Se Yast si avvia, ma evidenzia gli errori seguenti ((y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

non permettendo l'apertura di alcuna finestra (firewall....gestione pacchetti....), anche Opensuse Updater fa la stessa fine

Il problema non è in YaST, ma è in gnome VFS. Penso sia collegato a quanto dici dopo.

Quote:

Il demone di Gnome Control Center, stranamente, fa le bizze. Quali?
Alcune volte, all'avvio del sistema, dopo il beep di rito e in concomitanza con il caricamento di Gnome, una finestrella segnala che Gnome Control Center non è attivo. Al prossimo riavvio il sistema proverà ad attivarlo.

Gnome control centre? Sicuro che non sia Gnome-session-manager?

In ogni caso, hai fatto un'installazione pulita, cancellando sia la / sia la /home? Oppure hai aggiornato il sistema dalla 10.2 o hai conservato la /home? Cosa succede se crei un nuovo utente e fai il login con quell'utente?

Quote:

Se clikko su "Details" non avviene nulla, come se il tasto non esistesse

Il problema è sempre lo stesso. OpenSUSE updater usa semplicemente YaST. Se YaST non parte, non vedi nulla.

Questi problemi si manifestano fin dall'inizio oppure dopo un po'? Se dopo un po', per caso dopo uno spegnimento o l'attivazione di compiz?

Hai aggiunto repository addizionali? Quali?

Quale supporto di installazione ha usato (1-cd install, DVD, rete)? Se hai usato l'1CD, hai messo i repo di rete?

Ciao

ap Big Grin

Ritratto di Senofonte1
Senofonte1
(Guru)
Offline
Guru
Iscritto: 27/01/2007
Messaggi: 924

Quote:

ap1978 ha scritto:
Quote:
La finestra di Gestione Pacchetti non è il massimo della chiarezza: avrei preferito quella precedente, visto che in quella attuale molte informazioni relative ai pacchetti non sono disponibili, aspetti piacevolmente evidenti nell'altra

Puoi passare a YaST in Qt cambiando una linea nel file di configurazione di YaST. Leggi le note di rilascio in YaST -> Varie -> Note di rilascio.

Quote:

Circa Opensuse Updater....quali dettagli vuoi che dia!!??
Se Yast si avvia, ma evidenzia gli errori seguenti ((y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_get_uri_from_local_path: assertion `g_path_is_absolute (local_full_path)' failed

(y2controlcenter-gnome:23096): libgnomevfs-CRITICAL **: gnome_vfs_monitor_add: assertion `text_uri != NULL' failed

non permettendo l'apertura di alcuna finestra (firewall....gestione pacchetti....), anche Opensuse Updater fa la stessa fine

Il problema non è in YaST, ma è in gnome VFS. Penso sia collegato a quanto dici dopo.

Quote:

Il demone di Gnome Control Center, stranamente, fa le bizze. Quali?
Alcune volte, all'avvio del sistema, dopo il beep di rito e in concomitanza con il caricamento di Gnome, una finestrella segnala che Gnome Control Center non è attivo. Al prossimo riavvio il sistema proverà ad attivarlo.

Gnome control centre? Sicuro che non sia Gnome-session-manager?

In ogni caso, hai fatto un'installazione pulita, cancellando sia la / sia la /home? Oppure hai aggiornato il sistema dalla 10.2 o hai conservato la /home? Cosa succede se crei un nuovo utente e fai il login con quell'utente?

Quote:

Se clikko su "Details" non avviene nulla, come se il tasto non esistesse

Il problema è sempre lo stesso. OpenSUSE updater usa semplicemente YaST. Se YaST non parte, non vedi nulla.

Questi problemi si manifestano fin dall'inizio oppure dopo un po'? Se dopo un po', per caso dopo uno spegnimento o l'attivazione di compiz?

Hai aggiunto repository addizionali? Quali?

Quale supporto di installazione ha usato (1-cd install, DVD, rete)? Se hai usato l'1CD, hai messo i repo di rete?

Ciao

Sono al corrente del fatto che è possibile cambiare la linea nel file di configurazione di YaST, ma speravo/credevo/ che il miglioramento in Yast, di cui tanto si parlava, non intaccasse le proprietà dei pacchetti anche se rivolto, maggiormente, alla bellezza della gui: tralasciando l'essenzialità - importantissima per un'accurata gestione del software, la possibilità di fare danni non è remota, in special modo per chi si avvicina a Linux

Lo so che il problema è gnome VFS, ma il pacchetto è quello installato di default. Non ho aggiornato nulla, anche perchè l'errore si verifica a sistema vergine

Assolutamente no! Si tratta di Gnome control centrer; inoltre ogni mia installazione è pulitissima: non conservo mai nulla... facendosì che sia Opensuse a gestire le partizioni.....etc....etc....

I problemi elencati si manifestano sin da subito;
non uso compiz o diavolerei varie;
i repo (oss, nonoss) sono stati aggiunti di default, durante l'installazione, gli altri sono relativi a packman, anubis e gnome stable, inseriri a posteriori ma con il problema di Yast già evidente: tant'è vero che per aggiungere questi repo ho dovuto avviare da terminale con il comando "/sbin/yast2 repositories"......

Supporto d'installazione DVD: MD5 corretto.....e verifica positiva da parte del sistema

A presto Big Grin

GRAZIE A DIO, SONO ATEO!

Il pensare è la ragione prima e ultima dell'umano essere (Senofonte1)

Ritratto di auris
auris
(Guru)
Offline
Guru
Iscritto: 10/09/2004
Messaggi: 4923

1) Per quanto riguarda l'alimentazione, premendo il tasto "Arresta" in GNOME oppure KDE, appaiono tutti i messaggi di log del kernel (ho scelto la modalità verbose) ed il computer rimane acceso, nonostante ci sia il messaggio "The computer will halt immediately" (dovrebbe essere questo il messaggio se non ricordo male).
Anche se provo a spegnere il PC da shell col comando "shutdown -h now" ho lo stesso problema.
Nessun problema in caso di riavvio del sistema.
2) Il problema del font antialiasing in Firefox si può risolvere tramite questo howto: http://joeshaw.org/2007/01/05/448
3) La stampante deve essere avviata ad ogni avvio (driver HPLIP). Gli stessi driver con openSUSE 10.2 funzionano correttamente.

Se sei stanco di virus e schermate blu passa a Linux